#
# spec file for package perl-Mcrypt
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mcrypt
Version:        2.5.7.0
Release:        83.1
Url:            http://search.cpan.org/CPAN/authors/id/J/JE/JESUS/
Summary:        An Autoload-Capable Interface Module for libmcrypt
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/J/JE/JESUS/Mcrypt-%version.tar.gz
Patch0:         Mcrypt-%{version}.diff
Patch1:         Mcrypt-%{version}-type.diff
Patch2:         Mcrypt-%{version}-cast256.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libmcrypt-devel
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The Mcrypt module provides a simple and intuitive Perl abstraction of
the libmcrypt cryptography library.  It provides mechanisms for
encoding and decoding Perl scalars.



Authors:
--------
    Theo Schlossnagle <jesus@omniti.com>

%prep
%setup -q -n Mcrypt-%{version}
%patch0
%patch1
# cast256 doesnt work on 64bit architectures and s390
%ifarch alpha s390 s390x ia64 x86_64 ppc64
%patch2
%endif

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make %{?_smp_mflags}

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-, root, root)
%doc ChangeLog README 
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Mcrypt/
%{perl_vendorarch}/Mcrypt.pm

%changelog
* Tue Oct 14 2014 jengelh@inai.de
- Use source URLs and remove ancient specfile tags and sections
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Dec 13 2007 anicka@suse.cz
- update to 2.5.7.0
  * update tests to pass.. test against libmcrypt 2.5.7
* Thu Feb 15 2007 anicka@suse.cz
- update to 2.4.8.3
  * fix AUTOLOAD recursion problem when Mcrypt.so dependencies
    aren't met at runtime.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Thu May 22 2003 mjancar@suse.cz
- use $RPM_OPT_FLAGS
- disable 3way, sk64 and sk128
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Sat Dec 28 2002 prehak@suse.cz
- removed 3way, safer_sk64 and safer_sk128 algorithms on i586 and x86_64
  (unable to use them with libmcrypt-2.5.4)
- patched tests to report algorithms that can't be opened using libmcrypt
* Wed Aug 28 2002 prehak@suse.cz
- removed CAST_256 algorithm on ia64
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Sep  6 2001 rvasice@suse.cz
- removed CAST_256 algorithm for arch axp, s390 (unsupported by
  libmcrypt)
* Wed Aug 22 2001 rvasice@suse.cz
- spec file cleanup
* Mon May 21 2001 pblaha@suse.cz
- update on 2.4.8.2
* Wed Jan 24 2001 pblaha@suse.cz
- create this package
